Mailinglist Archive: opensuse-de (732 mails)

< Previous Next >
Perl-Module installieren
Servus zusammen,

auf meiner 11.3 möchte ich gerne die Module

Nagios::Plugins
Params::Validate

installieren.

In der cpan-Shell ergibt

cpan[1]> install Params::Validate
Going to read '/root/.cpan/Metadata'
Database was generated on Tue, 03 May 2011 17:29:44 GMT
Running install for module 'Params::Validate'
Running make for D/DR/DROLSKY/Params-Validate-0.98.tar.gz
Checksum for
/root/.cpan/sources/authors/id/D/DR/DROLSKY/Params-Validate-0.98.tar.gz
ok
Scanning cache /root/.cpan/build for sizes
............................................................................DONE

CPAN.pm: Going to build D/DR/DROLSKY/Params-Validate-0.98.tar.gz

Warning: ExtUtils::CBuilder not installed or no compiler detected
Proceeding with configuration, but compilation may fail during Build

Creating new 'MYMETA.yml' with configuration results
Creating new 'Build' script for 'Params-Validate' version '0.98'
Building Params-Validate
Error: no compiler detected to compile 'lib/Params/Validate.c'.
Aborting
DROLSKY/Params-Validate-0.98.tar.gz
./Build -- NOT OK
'YAML' not installed, will not store persistent state
Running Build test
Can't test without successful make
Running Build install
Make had returned bad status, install seems impossible
Failed during this command:
DROLSKY/Params-Validate-0.98.tar.gz : make NO

Ich kapiere nicht, woran es hier fehlt. Wie bekomme ich meine Module
installiert?

Danke+Gruß!

--
Andre Tann

--
Um die Liste abzubestellen, schicken Sie eine Mail an:
opensuse-de+unsubscribe@xxxxxxxxxxxx
Um eine Liste aller verfuegbaren Kommandos zu bekommen, schicken
Sie eine Mail an: opensuse-de+help@xxxxxxxxxxxx

< Previous Next >